Comment 173 for bug 414560

A week ago I upgraded Ubuntu 9.10 to 10.04 (Lucid Lynx) and since then I haven't had any problem with AR928X when using kernel 2.6.32. Currently I'm testing kernel 2.6.33-rc2 and it works well too.
In Ubuntu 9.10 with kernel 2.6.31 I had to use kernel backport.

It's good news for common users that at least LTS distribution will have fixed it.